﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sharing.Province.Dtos;

public class ProvinceResponse : BaseReponse
{
    public bool Success => Code == 1;

    ///// <summary>
    ///// 接收时间
    ///// </summary>
    //public DateTime ReceiveTime { get; set; }
}

public class BaseReponse
{
    public int Code { get; set; }

    public string Description { get; set; }

    public static BaseReponse Success(string? description = "")
    {
        return new BaseReponse
        {
            Code = 1,
            Description = (description ?? "您已成功提交数据！")
        };
    }

    public static BaseReponse Failed(string? description = "")
    {
        return new BaseReponse
        {
            Description = (description ?? "接口调用失败！")
        };
    }
}

